---

# https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_inventory.html
auth_kind: application

cache: true
cache_connection: '.gcp_inventory_cache'
cache_plugin: jsonfile

plugin: google.cloud.gcp_compute

projects:
  - gitlab-pre
  - gitlab-production
  - gitlab-release
  - gitlab-staging-1
  # Production: Gitaly multi-project
  - gitlab-gitaly-gprd-e493
  - gitlab-gitaly-gprd-d1a2
  - gitlab-gitaly-gprd-83fd
  - gitlab-gitaly-gprd-cdaf
  - gitlab-gitaly-gprd-0fe1
  - gitlab-gitaly-gprd-6688
  - gitlab-gitaly-gprd-7ebd
  - gitlab-gitaly-gprd-256e
  - gitlab-gitaly-gprd-93cb
  - gitlab-gitaly-gprd-a606
  - gitlab-gitaly-gprd-ccb0
  - gitlab-gitaly-gprd-f33d
  - gitlab-gitaly-gprd-5a25
  - gitlab-gitaly-gprd-87a9
  - gitlab-gitaly-gprd-2e35
  # Staging: Gitaly multi-project
  - gitlab-gitaly-gstg-164c
  - gitlab-gitaly-gstg-380a

keyed_groups:
  - key: "labels.environment"
    prefix: "env"
  - key: "labels.type"
    prefix: "type"
  - key: "labels.stage"
    prefix: "stage"
  - key: "labels.service"
    prefix: "service"
  - key: "labels.tier"
    prefix: "tier"

hostnames: ['labels.ansible_deploy_name', 'name', 'private_ip']

filters:
  - status = RUNNING

compose:
  # Configures how Ansible will connect to the instance
  #   * Set to `networkInterfaces[0].networkIP` when inside of CI
  #   * Set to `metadata.CHEF_NODE_NAME` when testing locally
  ansible_ssh_host: networkInterfaces[0].networkIP
